ReducingKeyIterator (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable

## Class ReducingKeyIterator

- java.lang.Object
- - org.apache.cassandra.io.sstable.ReducingKeyIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<DecoratedKey>, CloseableIterator<DecoratedKey>

      public class ReducingKeyIterator
      extends java.lang.Object
      implements CloseableIterator<DecoratedKey>

  Caller must acquire and release references to the sstables used here.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReducingKeyIterator(java.util.Collection<SSTableReader> sstables)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `long` | `getBytesRead()`
    `java.lang.String` | `getTaskType()`
    `long` | `getTotalBytes()`
    `boolean` | `hasNext()`
    `DecoratedKey` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ReducingKeyIterator

          public ReducingKeyIterator(java.util.Collection<SSTableReader> sstables)

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### getTotalBytes

          public long getTotalBytes()

    - #### getBytesRead

          public long getBytesRead()

    - #### getTaskType

          public java.lang.String getTaskType()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<DecoratedKey>`

    - #### next

          public DecoratedKey next()

      Specified by:
        `next` in interface `java.util.Iterator<DecoratedKey>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<DecoratedKey>`

Copyright © 2018 The Apache Software Foundation